/*------- Generic styles -------*/


@font-face {
    font-family: 'Gloria Hallelujah';
    src: url('../fonts/GloriaHallelujah-Regular.ttf');
}

html, body {
    width: 95%;
    height: 95%;
    margin: auto;
}


h1 {
    /*font-size: 2vw;*/
    font-size: 2em;
}

h2 {
    /*font-size: 1.85vw;*/
    font-size: 1.85em;
    /*font-size: 1.85vw;*/
}

h3 {
    /*font-size: 1.5vw;*/
    font-size: 1.5em;
}

h4 {
    /*font-size: 1.25vw;*/
    font-size: 1.25em;
}

p {
    /*font-size: 1.15vw;*/
    font-size: 1.15em;
    line-height: normal;
}

a {
    /*font-size: 1.15vw;*/
    font-size: 1.15em;

}

ul {
    line-height: normal;
    /*font-size: 1.15vw;*/
    font-size: 1em;
    /*font-size: 1.15em;*/
}

li {
    line-height: normal;
    /*font-size: 1.15vw;*/
    font-size: 1em;

}

label {
    /*font-size: 1.15vw;*/
    font-size: 1.15em;

}

#study_subtitle {
    color: midnightblue;
}

#customAlert {
    display: none;
    position: fixed;
    left: 50%;
    top: 50%;
    /*margin:auto;*/
    transform: translate(-50%, -50%);
    background-color: #f8d7da;
    color: #721c24;
    /*padding: 20px;*/
    z-index: 999999;
    text-align: center;
    /*font-size: 1.5vw;*/
    /*font-size: 1.5em;*/
    font-size: 1.5em;
    border-radius: 5px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border: 10px solid gray;
    padding: 50px 20px;
    /*height: 100%;*/
    /*width: 100%;*/
    line-height: 2em;
    box-sizing: border-box;
    /*display: flex;*/
    /*align-items: center; !* Centers vertically *!*/
    /*text-align: center;*/
    /*justify-content: center; !* Horizontally center *!*/

}

#fullScreenAlert {
    display: none;
    position: fixed;
    left: 50%;
    top: 50%;
    /*margin:auto;*/
    transform: translate(-50%, -50%);
    background-color: #f8d7da;
    color: #721c24;
    /*padding: 20px;*/
    z-index: 999999;
    text-align: center;
    /*font-size: 1.5vw;*/
    /*font-size: 1.1em;*/
    border-radius: 5px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border: 10px solid gray;
    padding: 50px 20px;
    /*height: 100%;*/
    /*width: 100%;*/
    /*line-height: 1e;*/
    box-sizing: border-box;
    /*display: flex;*/
    /*align-items: center; !* Centers vertically *!*/
    /*text-align: center;*/
    /*justify-content: center; !* Horizontally center *!*/

}

.fsAlert {
    z-index: 100000000000;
}

#formAlert {
    /*display: none;*/
    visibility: hidden;
    position: fixed; /* Fix the position to stay on top */
    top: 55%; /* Center it vertically */
    left: 50%; /* Center it horizontally */
    /*height: 20%;*/
    width: 85%;
    transform: translate(-50%, -50%); /* Adjust to perfectly center */
    background-color: #f8d7da; /* Example alert background */
    padding: 50px 20px;
    /*border: 1px solid #f5c6cb;*/
    /*z-index: 1000; !* High z-index to stay on top *!*/
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border: 2px solid gray;
    display: flex;
    /*flex-direction: column;*/
    justify-content: center;
    /*font-size: 1.15vw;*/
    font-size: 1.15em;
    border-radius: 5px;
    align-items: center; /* Centers vertically */
    z-index: 10000;
    text-align: center;
    margin: auto;
    display: flex;
    align-items: center; /* Centers vertically */
    text-align: center;
    justify-content: center; /* Horizontally center */
}

#loading_web {
    width: 50%;
    margin: auto;
    border: 2px solid black;
    padding: 10px;
    border-radius: 20px;
    margin-top: 10vh;
    text-align: center;
}

#loading_files {
    width: 100%;
    margin: auto;
    border: 2px solid black;
    padding: 20px;
    border-radius: 20px;
    margin-top: 10vh;
    text-align: center;
    font-size: 3vw;
    font-weight: bold;
}

.loading_button {
    font-size: 1vw;
    padding: 20px;
    font-weight: bold;
    font-size: 1.15vw;
    border: 1.5px solid black;
    border-bottom: 4px gray solid;
    border-radius: 10px;
    position: relative;
    padding: 20px;
    font-weight: bold;
    font-size: 1.15vw;
}

.button_div {
    display: flex;
    justify-content: center; /* Center the buttons horizontally */
    gap: 30px; /* Adds space between buttons */
    margin-top: 10px;
}

.alert_button {
    margin-top: 10px;
    background-color: #f5c6cb;
    border: solid 2px gray;
    border-radius: 5px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    /*padding: 5px 10px;*/
    color: black;
    padding: 15px;
    cursor: pointer;
    align-self: flex-end; /* Aligns the button to the bottom of the container */
    margin-top: 10px; /* Adds space above the button */
    font-size: 1.15vw;
    font-weight: bold;
    /*transform: translate(-50%, -50%); !* Adjusts to perfectly center *!*/
}

.check_maybe {
    color: red
}


/* ------- Consent styles -------*/
#consentmine {
    text-align: left;
    width: 80%;
    padding: 2.5%;
    padding-top: 0;
    margin-left: 5vw;
    /*line-height: 1.5em;*/
    font-size: 1.5em;
}

#consentmine p {
    line-height: 1.25em;
}

#consentmine label {
    line-height: 1.5em;
    /*font-size: 1.75em;*/
}

/* General input button submit */
input[type="submit"] {
    /*font-size: 1.05vw;*/
    margin-top: 3.5vw;
    color: green;
    font-weight: bold;
    /*pointer-events: none;*/
    margin-bottom: 5vw;
}

.feedback_trial input[type="submit"] {
    font-size: 1vw;
    padding: 20px;
    font-weight: bold;
    font-size: 1.15vw;
}


/* ----- Countdown timer styles ---- */
.timer {
    position: fixed; /* This makes the element sticky */
    /*top: 80%; !* Stick it to the top of the viewport *!*/
    /*left: 50%; !* Center horizontally *!*/
    /*transform: translateX(-50%); !* Adjust horizontal position to center *!*/
    z-index: 100;
    z-index: 99999; /* higher than overlay */
}


.timer > svg {
    /*width: 200px;*/
    /*height: 200px;*/
    /*width: 5.5vw; !* Adjust size relative to viewport width *!*/
    /*height: 5.5vw; !* Keep the height proportional *!*/
    width: 5.5em; /* Adjust size relative to viewport width */
    height: 5.5em; /* Keep the height proportional */
    /*max-width: 200px; !* Optional: Prevent it from getting too large *!*/
    /*max-height: 200px;*/

}

.timer > svg > circle {
    /*stroke-width: 0.5vw;*/
    stroke-width: 0.5em;
    transform-origin: center center;
    transform: rotate(-90deg);
    fill: #D3D331;
}

.timer > svg > circle + circle {
    stroke-dasharray: 1;
    stroke-dashoffset: 1;
    stroke-linecap: round;
    stroke-opacity: 1;
    stroke: #D32F2F;
}

.timer.animatable > svg > circle + circle {
    /*transition: stroke-dashoffset .3s ease;*/
}

.timer > svg > text {
    /*font-size: 3vh;*/
    font-size: 1.75em;
    font-weight: bold;
}

.timer_example {
    position: fixed;
    /*top:40%;*/
    left: 50%; /* Center horizontally */
    transform: translateX(-50%); /* Adjust horizontal position to center */
    /*margin:auto;*/
    /*margin-bottom:1vh;*/
}

.timer_example > svg > circle + circle {
    stroke-dasharray: 1;
    stroke-dashoffset: 0.33;
    stroke-linecap: round;
    stroke-opacity: 1;
    stroke: #D32F2F;
}

/* ----- Word counter styles ---- */
#word_counter {
    /*position: fixed;*/
    position: relative;
    /*top: 80%; !* Stick it to the top of the viewport *!*/
    /*left: 50%; !* Center horizontally *!*/
    /*transform: translateX(-50%); !* Adjust horizontal position to center *!*/
    /*width: 6vw;*/
    /*height: 20px;*/
    width: 120px;
    /*width: 7%;*/
    /*width: 8vw;*/
    /*width: 200px;*/
    /*height: 20px;*/
    /*border: 0.2vw #f88f70 solid;*/
    border-radius: 5px;
    color: #77c256;
    padding-top: 2.5px;
    margin: auto;
    margin-right: 300px;
    /*margin-top:-15.2%;*/
    /*margin-top:-176px;*/
    margin-top: -191px;
    padding-bottom: 35px;
    /*padding-top:13px;*/
    /*font-size: 1.9vh;*/
    /*font-size: 1.25em;*/
    font-size: 1.15em;
    font-weight: bold;
    /*stroke-width: 0.5vw;*/
    stroke-width: 0.5em;
    display: flex;
    align-items: flex-start;
    justify-content: space-evenly; /* or use space-between */
    z-index: 99999; /* higher than overlay */
}

#word_counter span {
    margin-top: -2px;
}

#word_counter_ex {
    background: linear-gradient(to right, #034748 15%, #9d9962 15%);
    position: fixed;
    left: 50%; /* Center horizontally */

    /*top:52%;*/
    /*top: 53%;*/
    /*top: 54%;*/
    /*transform: translate(-50%, -46%); !* Adjust horizontal position to center *!*/
    /*top: 80%; !* Stick it to the top of the viewport *!*/
    /*left: 50%; !* Center horizontally *!*/
    transform: translateX(-50%); /* Adjust horizontal position to center */
    /*width: 8vw;*/
    /*height: 4.5vh;*/
    width: 120px;
    height: 20px;
    /*border: 0.2vw #f88f70 solid;*/
    padding: 5px;
    /*padding-bottom: 20px;*/
    border-radius: 5px;
    color: #77c256;
    /*padding: 13px;*/
    /*padding-bottom: 17px;*/
    /*font-size: 2.9vh;*/
    font-size: 1.25em;
    font-weight: bold;
    /*stroke-width: 1.5vw;*/
    /*stroke-width: 1.5vw;*/
    stroke-width: 0.5em;
    display: flex;
    /*align-items: flex-start;*/
    justify-content: space-evenly; /* or use space-between */
    z-index: 99999; /* higher than overlay */
    /*display: flex;*/
    align-items: center; /* Centers vertically */
    text-align: center;
    /*justify-content: center; !* Horizontally center *!*/
}

#word_counter_ex span {
    /*margin-top: -12px;*/
}

#word_counter2 {
    position: fixed;
    /*top: 80%; !* Stick it to the top of the viewport *!*/
    /*left: 50%; !* Center horizontally *!*/
    /*transform: translateX(-50%); !* Adjust horizontal position to center *!*/
    width: 120px;
    height: 20px;
    /*width: 6vw;*/
    /*height: 20px;*/
    /*border: 0.2vw #f88f70 solid;*/
    border-radius: 5px;
    color: #264653;
    padding: 5px;
    padding-bottom: 20px;
    /*padding-top:13px;*/
    font-size: 1.9vh;
    font-weight: bold;
    stroke-width: 0.5vw;
    display: flex;
    align-items: flex-start;
    justify-content: space-evenly; /* or use space-between */
    z-index: 99999; /* higher than overlay */
}

#word_counter2 span {
    margin-top: -2px;
}


#word_counter2_ex {
    background: linear-gradient(to right, #fb8500 27%, #8ecae6 27%);
    position: fixed;
    left: 50%; /* Center horizontally */
    top: 46%;
    transform: translate(-50%, -46%); /* Adjust horizontal position to center */
    /*top: 80%; !* Stick it to the top of the viewport *!*/
    /*left: 50%; !* Center horizontally *!*/
    /*transform: translateX(-50%); !* Adjust horizontal position to center *!*/
    width: 8vw;
    height: 4.5vh;
    /*border: 0.2vw #f88f70 solid;*/
    border-radius: 5px;
    color: #264653;
    /*padding: 13px;*/
    /*padding-bottom: 17px;*/
    font-size: 2.9vh;
    font-weight: bold;
    stroke-width: 1.5vw;
    display: flex;
    align-items: flex-start;
    justify-content: space-evenly; /* or use space-between */
    z-index: 99999; /* higher than overlay */
    display: flex;
    align-items: center; /* Centers vertically */
    text-align: center;
    /*justify-content: center; !* Horizontally center *!*/
}

#word_counter2_ex span {
    /*margin-top: -12px;*/
}

#instr_button {
    position: fixed;
    color: black;
    /*margin: auto;*/
    left: 50%;
    /*top: 70%;*/
    /*transform: translate(-50%, -70%);*/
    transform: translateX(-50%);
    /*font-size: 1.25vw;*/
    font-size: 1.25em;
    font-weight: bold;
    border-radius: 50%;
    /*border: 2px solid black;*/
    z-index: 99999; /* higher than overlay */
    background: url('../imgs/submit.svg') no-repeat right center;
    background-color: #c8c8c8;
    opacity: 1;
    /*background-size: 7.5vh 5vh;*/
    background-size: 3.75em 2.75em;
    border: none;
    width: 4em;
    height: 4em;
    /*width: 8vh;*/
    /*height: 8vh;*/
}


#dim-overlay {
    position: absolute; /* or fixed if you want it to stay on screen during scrolling */
    top: 0;
    left: 0;
    width: 100vw; /* 100% of the viewport width */
    height: 100vh; /* 100% of the viewport height */
    /*z-index: -1; !* optional, to place it behind other elements *!*/
    background: rgba(0, 0, 0, 0.85);
    z-index: 9998; /* lower z-index */
    pointer-events: none;
    /*display: none;*/
    display: block;
}


/*.counter_example {*/
/*    background: linear-gradient(to right, #034748 15%, #9d9962 15%);*/
/*    position: fixed;*/
/*    left: 50%; !* Center horizontally *!*/
/*    top:52%;*/
/*    transform: translate(-50%,-52%); !* Adjust horizontal position to center *!*/

/*    width: 6vw;*/
/*    !*height: 2vh;*!*/
/*    border-radius: 5px;*/
/*    color: #77c256;*/
/*    padding: 13px;*/
/*    padding-bottom: 17px;*/
/*    font-size: 1.9vh;*/
/*    font-weight: bold;*/
/*    stroke-width: 0.5vw;*/
/*    display: flex;*/
/*    align-items: flex-start;*/
/*    justify-content: space-evenly; !* or use space-between *!*/
/*    z-index: 99999; !* higher than overlay *!*/


/*    !*margin:auto;*!*/
/*    !*margin-top:10vh;*!*/
/*    !*margin-left:10vh;*!*/
/*}*/


#dim-overlay-opt {
    position: absolute; /* or fixed if you want it to stay on screen during scrolling */
    top: 0;
    left: 0;
    width: 100vw; /* 100% of the viewport width */
    height: 100vh; /* 100% of the viewport height */
    /*z-index: -1; !* optional, to place it behind other elements *!*/
    background: rgba(0, 0, 0, 0.85);
    z-index: 9998; /* lower z-index */
    pointer-events: none;
    /*display: none;*/
    display: block;
    visibility: hidden;
}

.iti_cross{
    /*color:#FFFFFF;*/
    /*color:white;*/
    font-size:8em;
    z-index:9999;
    color:white;
    position: fixed; /* This makes the element sticky */
    margin: auto;
    /*box-sizing: border-box;*/
    /*top: 22%; !* Stick it to the top of the viewport *!*/
    left: 50%; /* Center horizontally */
    transform: translateX(-50%); /* Adjust horizontal position to center */
    /*width: 300px;*/
    /*left:25em*/
    /*margin-left:auto;*/
    top:35%;
    /*margin-top: 5vh;*/
    /*margin-bottom: 10vh;*/
    /*border: 5px solid gray;*/
    /*background: rgb(211, 211, 211, 0.5);*/
    /*border-radius: 1vw;*/
    /*margin-top: 5.5vh;*/
    /*font-size: 20.5vw;*/
    /*font-size: 1.2vw;*/
    /*font-size: 3em;*/
    /*padding: 3vw;*/
    /*z-index: 99999;*/
    /*background-color: rgba(255, 255, 255, 0.95);*/
    /*font-weight: bold;*/
}